Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594868 - mvsas driver needs updating
Summary: mvsas driver needs updating
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Rob Evers
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 20:01 UTC by lindahl
Modified: 2010-12-23 00:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-22 15:09:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description lindahl 2010-05-21 20:01:29 UTC
The 5.5 kernel includes a mvsas driver backported from 2.6.25, so I hear.

In 2.6.31, Marvell contributed a new driver. It has novel features like error handling.

On my cluster of 160 machines, the driver shipped in 5.5 dies about once per day in this code:

        case SAS_PROTOCOL_SATA | SAS_PROTOCOL_STP:{
                dev_printk(KERN_DEBUG, &pdev->dev, "STP Abort! \n");
                spin_lock_irqsave(&task->task_state_lock, flags);
                if (task->task_state_flags & SAS_TASK_NEED_DEV_RESET) {
                        /* TODO */
                        ;
                }

Could you please backport the new driver with error handling? I'd be happy to be a tester.

Comment 2 Rob Evers 2010-07-22 17:31:47 UTC
(In reply to comment #0)
> The 5.5 kernel includes a mvsas driver backported from 2.6.25, so I hear.
> 
> In 2.6.31, Marvell contributed a new driver. It has novel features like error
> handling.
> 
> On my cluster of 160 machines, the driver shipped in 5.5 dies about once per
> day in this code:
> 
>         case SAS_PROTOCOL_SATA | SAS_PROTOCOL_STP:{
>                 dev_printk(KERN_DEBUG, &pdev->dev, "STP Abort! \n");
>                 spin_lock_irqsave(&task->task_state_lock, flags);
>                 if (task->task_state_flags & SAS_TASK_NEED_DEV_RESET) {
>                         /* TODO */
>                         ;
>                 }
> 
> Could you please backport the new driver with error handling? I'd be happy to
> be a tester.    

Unfortunately there has been irregular and incomplete maintenance of the mvsas driver upstream by Marvell.  This leads to lack of confidence in any updates.  I have followed the mvsas driver on linux-scsi and many issues have gone unanswered by Marvell.  Should Marvell start maintaining the mvsas driver more dilligently, such updates will be more likely.

Rob

Comment 3 Orion Poplawski 2010-12-22 23:47:01 UTC
Some recent posts on lkml seem to indicate some promise with the latest mvsas as of 2.6.37-rc4 or so.  Any chance this might appear in RHEL 5 or 6?

Comment 4 Rob Evers 2010-12-23 00:32:33 UTC
(In reply to comment #3)
> Some recent posts on lkml seem to indicate some promise with the latest mvsas
> as of 2.6.37-rc4 or so.  Any chance this might appear in RHEL 5 or 6?

Unlikely, unfortunately.


Note You need to log in before you can comment on or make changes to this bug.